# Generated by Django 4.2.11 on 2024-04-02 13:34

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("accounts", "0001_initial"),
        ("alerts", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Relay",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=200)),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="relays",
                        to="accounts.organization",
                        verbose_name="organization",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Fridge",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=100)),
                ("url", models.URLField()),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                ("date_modified", models.DateTimeField(auto_now=True)),
                (
                    "alert_def",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="fridges",
                        to="alerts.alertcollection",
                    ),
                ),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fridges",
                        to="accounts.organization",
                        verbose_name="organization",
                    ),
                ),
                (
                    "relay",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="fridges",
                        to="fridges.relay",
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="relay",
            constraint=models.UniqueConstraint(fields=("name", "organization"), name="unique_relay_name_per_org"),
        ),
    ]
